GNU bug report logs - #46337
A patch to enable building proprietary codecs in qtwebengine

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: pkill9 <pkill9@HIDDEN>; dated Sat, 6 Feb 2021 01:49:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 46337 <at> debbugs.gnu.org:


Received: (at 46337) by debbugs.gnu.org; 6 Feb 2021 13:05:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 06 08:05:08 2021
Received: from localhost ([127.0.0.1]:45435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8NGu-0002Kh-OZ
	for submit <at> debbugs.gnu.org; Sat, 06 Feb 2021 08:05:08 -0500
Received: from tobias.gr ([80.241.217.52]:58738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1l8NGs-0002KW-Gz
 for 46337 <at> debbugs.gnu.org; Sat, 06 Feb 2021 08:05:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=GGgyUT2GmeSHTiJ1kbSh5iLMZYdlhm8keefBXQZ1Jh4=; h=date:in-reply-to:
 references:subject:cc:from; b=JM/mQEBJwFFcH4fJg2c+aT+tnmkd3S2ydg5TjJ0J
 ya+0GpAm1YynbpZzoZP0HyCLFKx/xq4/yKMZ6YIWTj2gqHaMIp6kIKWS9UeIXxiUQp8wTW
 DonwDEkiiriRZH8bM7xEjvdNSJrpNO2n3ykF9hN/CeffWjxmoX+UR1zyLsEauZOzSzPsSH
 tXTFoRg4wCoButneALB7F15AuhM3kPDTiyH585rRKgHUOkI6hQbikXyaaE9ZKfJ3CHoSdL
 pChCryUTb5ha4xlL8X6jFW7cYvX1yZlTeDrMbz8XoNV+TBgLvVQDb4Syaw6DaLG44tOpXN
 55z8+B3l5YNPyS4NxZfq8g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id b787dea4
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 6 Feb 2021 13:05:48 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#46337] A patch to enable building proprietary codecs in
 qtwebengine
References: <20210206014748.5b281d65@HIDDEN> <87a6shy0af.fsf@nckx>
In-reply-to: <87a6shy0af.fsf@nckx>
Date: Sat, 06 Feb 2021 14:05:03 +0100
Message-ID: <87pn1dwdmo.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 46337
Cc: 46337 <at> debbugs.gnu.org, pkill9 <pkill9@HIDDEN>, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
> +		       "-webengine-proprietary-codecs")))))

Addendum: add a comment explicitly noting that these are all free=20
software, or we might face =E2=80=98misunderstandings=E2=80=99 later.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYB6UAA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15g0MA/2a9UoLQ8rtLwSNMeVXS0UF/MoiN+uzIB74vqTdz
3dUhAQDzBBSyLEtCHTygiRI687N9IHzEYiOQaElxJqxADjFLDQ==
=Nim6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#46337; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2021 13:05:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 06 08:05:12 2021
Received: from localhost ([127.0.0.1]:45439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8NGx-0002Ky-WC
	for submit <at> debbugs.gnu.org; Sat, 06 Feb 2021 08:05:12 -0500
Received: from lists.gnu.org ([209.51.188.17]:43790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1l8NGv-0002Kp-Vl
 for submit <at> debbugs.gnu.org; Sat, 06 Feb 2021 08:05:10 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58708)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1l8NGv-0005Yy-Ey
 for guix-patches@HIDDEN; Sat, 06 Feb 2021 08:05:09 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:40552)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1l8NGt-0006zK-Es
 for guix-patches@HIDDEN; Sat, 06 Feb 2021 08:05:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=GGgyUT2GmeSHTiJ1kbSh5iLMZYdlhm8keefBXQZ1Jh4=; h=date:in-reply-to:
 references:subject:cc:from; b=JM/mQEBJwFFcH4fJg2c+aT+tnmkd3S2ydg5TjJ0J
 ya+0GpAm1YynbpZzoZP0HyCLFKx/xq4/yKMZ6YIWTj2gqHaMIp6kIKWS9UeIXxiUQp8wTW
 DonwDEkiiriRZH8bM7xEjvdNSJrpNO2n3ykF9hN/CeffWjxmoX+UR1zyLsEauZOzSzPsSH
 tXTFoRg4wCoButneALB7F15AuhM3kPDTiyH585rRKgHUOkI6hQbikXyaaE9ZKfJ3CHoSdL
 pChCryUTb5ha4xlL8X6jFW7cYvX1yZlTeDrMbz8XoNV+TBgLvVQDb4Syaw6DaLG44tOpXN
 55z8+B3l5YNPyS4NxZfq8g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id b787dea4
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 6 Feb 2021 13:05:48 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#46337] A patch to enable building proprietary codecs in
 qtwebengine
References: <20210206014748.5b281d65@HIDDEN> <87a6shy0af.fsf@nckx>
In-reply-to: <87a6shy0af.fsf@nckx>
Date: Sat, 06 Feb 2021 14:05:03 +0100
Message-ID: <87pn1dwdmo.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, MISSING_HEADERS=1.021,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: submit
Cc: 46337 <at> debbugs.gnu.org, pkill9 <pkill9@HIDDEN>, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
> +		       "-webengine-proprietary-codecs")))))

Addendum: add a comment explicitly noting that these are all free=20
software, or we might face =E2=80=98misunderstandings=E2=80=99 later.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYB6UAA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15g0MA/2a9UoLQ8rtLwSNMeVXS0UF/MoiN+uzIB74vqTdz
3dUhAQDzBBSyLEtCHTygiRI687N9IHzEYiOQaElxJqxADjFLDQ==
=Nim6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#46337; Package guix-patches. Full text available.

Message received at 46337 <at> debbugs.gnu.org:


Received: (at 46337) by debbugs.gnu.org; 6 Feb 2021 10:10:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 06 05:10:22 2021
Received: from localhost ([127.0.0.1]:45066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8KXm-0008BF-54
	for submit <at> debbugs.gnu.org; Sat, 06 Feb 2021 05:10:22 -0500
Received: from tobias.gr ([80.241.217.52]:43114)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1l8KXk-0008B6-7s
 for 46337 <at> debbugs.gnu.org; Sat, 06 Feb 2021 05:10:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=PpIW+opy6B6SiNdKHp133x507LXQfwJHTISuBfC+toU=; h=date:in-reply-to:
 references:subject:cc:to:from; b=hzpgwaBuk8nHYB3RbzuOzeI9NN9bbQ5Ka9OVx
 92z20p5/w47RZ5PgtFff8NRLXqzSoOCCdl+ZSaQZG+i3Dsjr0ZlFlB6nqOcqCCV4Tv0C1T
 Cn7S+MlZiTy9LMeprsT07mCNM+IeLyJXD7qTlxXlBsNElezbKEK6tjPpzdIwhFy+iwXKW0
 Z9nn9tqTJdzF2eYPhdpwCK7Bkf9i9oBuqWfiufOcPqMH85hrlZVZAl0D9Tmyj/7pj5OBOP
 KLO3ihyMLDzSQvwrBOkk2jURY93AGuzxDWt1daFAHohfN1cHGb8sVtpEcK/lJswonPHb6s
 Pm+1eQS072L3Gfpamn2HCRO6g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 35e52ad1
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 6 Feb 2021 10:11:01 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: pkill9 <pkill9@HIDDEN>
Subject: Re: [bug#46337] A patch to enable building proprietary codecs in
 qtwebengine
References: <20210206014748.5b281d65@HIDDEN>
In-reply-to: <20210206014748.5b281d65@HIDDEN>
Date: Sat, 06 Feb 2021 11:10:16 +0100
Message-ID: <87a6shy0af.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46337
Cc: 46337 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pkill,

pkill9 =E5=86=99=E9=81=93=EF=BC=9A
> A patch to enable building proprietary codecs in qtwebengine

LGTM, but please send a proper (=E2=80=98git format-patch=E2=80=99-format) =
patch=20
that can be applied with =E2=80=98git am=E2=80=99 with a standardised commi=
t=20
message.  See =E2=80=98info (guix)Submitting Patches=E2=80=99 and the git l=
og.

> +                       "--webengine-pepper-plugins=3Dno"
> +		       "-webengine-proprietary-codecs")))))

The indentation's off here.  Guix Scheme code uses spaces=20
everywhere.

Thanks!

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYB5rCA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Mc0A/0bCX46gBpeI0Odc+16ficUZrqO9dbg28mZ8wUqa
PQ0bAQDt74DwtF6/wiWiIdV2xAuOITEzwcTW7YhN859Cn1LaAg==
=QkY6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#46337; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2021 10:10:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 06 05:10:32 2021
Received: from localhost ([127.0.0.1]:45069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8KXw-0008Bf-D1
	for submit <at> debbugs.gnu.org; Sat, 06 Feb 2021 05:10:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:54302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1l8KXv-0008BW-C9
 for submit <at> debbugs.gnu.org; Sat, 06 Feb 2021 05:10:31 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55190)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1l8KXv-0001tK-5j
 for guix-patches@HIDDEN; Sat, 06 Feb 2021 05:10:31 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:53156)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1l8KXl-0002B2-2P
 for guix-patches@HIDDEN; Sat, 06 Feb 2021 05:10:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=PpIW+opy6B6SiNdKHp133x507LXQfwJHTISuBfC+toU=; h=date:in-reply-to:
 references:subject:cc:to:from; b=hzpgwaBuk8nHYB3RbzuOzeI9NN9bbQ5Ka9OVx
 92z20p5/w47RZ5PgtFff8NRLXqzSoOCCdl+ZSaQZG+i3Dsjr0ZlFlB6nqOcqCCV4Tv0C1T
 Cn7S+MlZiTy9LMeprsT07mCNM+IeLyJXD7qTlxXlBsNElezbKEK6tjPpzdIwhFy+iwXKW0
 Z9nn9tqTJdzF2eYPhdpwCK7Bkf9i9oBuqWfiufOcPqMH85hrlZVZAl0D9Tmyj/7pj5OBOP
 KLO3ihyMLDzSQvwrBOkk2jURY93AGuzxDWt1daFAHohfN1cHGb8sVtpEcK/lJswonPHb6s
 Pm+1eQS072L3Gfpamn2HCRO6g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 35e52ad1
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 6 Feb 2021 10:11:01 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: pkill9 <pkill9@HIDDEN>
Subject: Re: [bug#46337] A patch to enable building proprietary codecs in
 qtwebengine
References: <20210206014748.5b281d65@HIDDEN>
In-reply-to: <20210206014748.5b281d65@HIDDEN>
Date: Sat, 06 Feb 2021 11:10:16 +0100
Message-ID: <87a6shy0af.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 46337 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pkill,

pkill9 =E5=86=99=E9=81=93=EF=BC=9A
> A patch to enable building proprietary codecs in qtwebengine

LGTM, but please send a proper (=E2=80=98git format-patch=E2=80=99-format) =
patch=20
that can be applied with =E2=80=98git am=E2=80=99 with a standardised commi=
t=20
message.  See =E2=80=98info (guix)Submitting Patches=E2=80=99 and the git l=
og.

> +                       "--webengine-pepper-plugins=3Dno"
> +		       "-webengine-proprietary-codecs")))))

The indentation's off here.  Guix Scheme code uses spaces=20
everywhere.

Thanks!

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYB5rCA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Mc0A/0bCX46gBpeI0Odc+16ficUZrqO9dbg28mZ8wUqa
PQ0bAQDt74DwtF6/wiWiIdV2xAuOITEzwcTW7YhN859Cn1LaAg==
=QkY6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#46337; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2021 01:48:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 05 20:48:20 2021
Received: from localhost ([127.0.0.1]:44884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8Chw-0004qh-HX
	for submit <at> debbugs.gnu.org; Fri, 05 Feb 2021 20:48:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:37164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1l8Chv-0004qY-15
 for submit <at> debbugs.gnu.org; Fri, 05 Feb 2021 20:48:19 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54172)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pkill9@HIDDEN>) id 1l8Chu-0008Fa-Ow
 for guix-patches@HIDDEN; Fri, 05 Feb 2021 20:48:18 -0500
Received: from aibo.runbox.com ([91.220.196.211]:58056)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pkill9@HIDDEN>) id 1l8Chs-0000Zo-De
 for guix-patches@HIDDEN; Fri, 05 Feb 2021 20:48:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:
 Message-ID:Subject:To:From:Date;
 bh=7Ad4YbMTIHdA/Tj9MSPNu78P3OoeVowQtkQnHOB0CFM=; b=d92qldRpk+sznIiQdn5VBFEjZY
 kU/Nmh10HKgCLbhXvY4sIu6kdxRw7kqsPBLhjA1+asXFsqkgZqpy+QomKl5ZSj6IOOG1z1GxoFH2m
 PmO8lfmQ8lm/dsORClV6WJ/SlOusxU8STannGszyrct3Aw0VLXH7Afk2QlZuRaiDqyZGkzcQDK01M
 zcCoiqUMvXzhcskEB36qKcPaWB5B3g5J1RKPrr4ZHpFdGYex8Iibcq6mOQ2Zw1oP4WpwTD/cebSjt
 rzi8/Ftj3+bZ4aC1q4PiEghgp8+Gvsx0WER0veTXRazHbFmjXDXeLT0SJGJbyH2ErJfOe+qclLoNb
 ySV5xAeQ==;
Received: from [10.9.9.74] (helo=submission03.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1l8Chm-0005ZT-GB
 for guix-patches@HIDDEN; Sat, 06 Feb 2021 02:48:10 +0100
Received: by submission03.runbox with esmtpsa [Authenticated alias (780724)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1l8ChS-0003AP-VI
 for guix-patches@HIDDEN; Sat, 06 Feb 2021 02:47:51 +0100
Date: Sat, 6 Feb 2021 01:47:48 +0000
From: pkill9 <pkill9@HIDDEN>
To: guix-patches@HIDDEN
Subject: A patch to enable building proprietary codecs in qtwebengine
Message-ID: <20210206014748.5b281d65@HIDDEN>
X-Mailer: Claws Mail 3.17.8 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=91.220.196.211; envelope-from=pkill9@HIDDEN;
 helo=aibo.runbox.com
X-Spam_score_int: -24
X-Spam_score: -2.5
X-Spam_bar: --
X-Spam_report: (-2.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 4fbb157600..057644a576 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -1939,7 +1939,8 @@ using the Enchant spell-checking library.")
                        "--webengine-printing-and-pdf=no"
                        "--webengine-ffmpeg=system"
                        "--webengine-icu=system"
-                       "--webengine-pepper-plugins=no")))))
+                       "--webengine-pepper-plugins=no"
+		       "-webengine-proprietary-codecs")))))
        ;; Tests are disabled due to "Could not find QtWebEngineProcess
error" ;; It's possible this can be fixed by setting
QTWEBENGINEPROCESS_PATH ;; before running tests.




Acknowledgement sent to pkill9 <pkill9@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#46337; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Feb 2021 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.